# @startdt/commitlint-config [![dependencies](https://img.shields.io/david/startdt/next-spec?path=packages%2Fcommitlint-config)](https://david-dm.org/startdt/next-spec?path=packages/commitlint-config)

![open source](https://img.shields.io/badge/open%20source-❤-red)
![npm version](https://img.shields.io/npm/v/@startdt/commitlint-config)
![node version](https://img.shields.io/node/v/@startdt/commitlint-config)
![npm peer dependency version](https://img.shields.io/npm/dependency-version/@startdt/commitlint-config/peer/@commitlint/cli)
![npm download](https://img.shields.io/npm/dm/@startdt/commitlint-config)
![npm license](https://img.shields.io/npm/l/@startdt/commitlint-config)

奇点云前端约定式提交规范。

在 `git commit` 时提交信息遵循以下格式：

```bash
<type 类型>[optional scope 可选的作用域]: <description 描述>

[optional body 可选的正文]

[optional footer 可选的脚注]
```

## 如何使用

```bash
npm i @commitlint/cli @startdt/commitlint-config --save-dev
```

> 注意：如果你已经全局安装了 `Commitizen` 依赖，则可以通过命令行快速创建遵循约定的提交。请参看：[使用 CLI 规范提交信息](#命令行工具)

使用配置文件：

```js
// .commitlintrc.js
module.exports = {
    extends: '@startdt/commitlint-config',
    rules: {
        // 自定义规则
    },
};
```

或者项目属性：

```js
// package.json
"commitlint": {
    "extends": "@startdt/commitlint-config",
    "rules": {}
}
```

最后，在 `package.json` 中添加 `commit-msg` 钩子：

```bash
"gitHooks": {
    "commit-msg": "commitlint -e"
},
```

执行 `git commit` 时，自动校验 commit message 是否符合提交约定，并给出相应的提示。

## 命令行工具

如果你已经全局安装了 `Commitizen` 依赖，则可以通过命令行快速创建遵循约定的提交。

在 `package.json` 中配置 `commitizen` 选项：

```js
// package.json
"config": {
    "commitizen": {
        "path": "./node_modules/@startdt/commitlint-config"
    }
},
```

使用 `git cz` 替代 `git commit` 提交代码，即可通过交互式 CLI 快速创建遵循约定的提交。

📣 如果你还没有安装 `git cz` 相关的依赖，我们提供了内置的 CLI 工具，可以在项目中使用 `npm script` 的方式调用：

```js
// package.json
{
    "scripts": {
        "commit": "commitlint-prompt-cli"
    }
}
```

执行 `npm run commit` 提交代码，即可通过交互式 CLI 快速创建遵循约定的提交。
